Subject: [alpine-devel] [PATCH] testing/py-{templayer,urwid}: Improved APKBUILD

From: Matt Smith <[email-masked]>
Date: Thu, 16 Dec 2010 10:32:06 -0600

---
 testing/py-templayer/APKBUILD |   34 ++++++++++++++++++----------------
 testing/py-urwid/APKBUILD     |   33 ++++++++++++++++++++-------------
 2 files changed, 38 insertions(+), 29 deletions(-)

diff --git a/testing/py-templayer/APKBUILD b/testing/py-templayer/APKBUILD
index 776fdfb..eeefd4b 100644
--- a/testing/py-templayer/APKBUILD
+++ b/testing/py-templayer/APKBUILD
@@ -1,41 +1,43 @@
 # Contributor: Matt Smith <[email-masked]>
 # Maintainer: Matt Smith <[email-masked]>
 pkgname=py-templayer
-_name=templayer
+_pkgname=templayer
 pkgver=1.5.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Templayer is a layered template library for Python and Django"
 url="http://excess.org/templayer/"
-arch="x86 x86_64"
+arch="noarch"
 license="LGPL"
 depends="python"
-makedepends="python-dev"
+makedepends="python-dev py-setuptools"
 install=
 subpackages="$pkgname-doc"
-source="http://excess.org/$pkgname/$_name-$pkgver.tar.gz"
+source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
 
-_builddir="$srcdir"/$_name-$pkgver
+_builddir="$srcdir"/$_pkgname-$pkgver
 
 prepare() {
-	cd "$_builddir"
-	# apply patches here
+        cd "$_builddir"
+        # apply patches here
 }
 
 build() {
-	return 0
+        cd "$_builddir"
+        python setup.py build || return 1
 }
 
 package() {
-	cd "$_builddir"
-	python setup.py install --root "$pkgdir"
+        cd "$_builddir"
+        python setup.py install --root "$pkgdir"
 }
 
 doc() {
-	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
-	cd "$_builddir"
-	install -Dm644 docs/reference.html "$subpkgdir"/usr/share/doc/$pkgname/reference.html
-	install -Dm644 docs/tutorial.html "$subpkgdir"/usr/share/doc/$pkgname/tutorial.html
-	install -Dm644 docs/tutorial_examples.tar.gz "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples.tar.gz
+        cd "$_builddir"
+
+        mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+        for doc in reference.html tutorial.html tutorial_examples.tar.gz; do
+                install -Dm644 ./docs/$doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+        done
 }
 
 md5sums="9d1a3aa0cece34a2492792278aad406d  templayer-1.5.1.tar.gz"
diff --git a/testing/py-urwid/APKBUILD b/testing/py-urwid/APKBUILD
index 64ad140..4fe9074 100644
--- a/testing/py-urwid/APKBUILD
+++ b/testing/py-urwid/APKBUILD
@@ -1,21 +1,20 @@
 # Contributor: Matt Smith <[email-masked]>
 # Maintainer: Matt Smith <[email-masked]>
 pkgname=py-urwid
-_name=urwid
+_pkgname=urwid
 pkgver=0.9.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Urwid is a console user interface library for Python"
 url="http://excess.org/urwid/"
 arch="x86 x86_64"
 license="LGPL"
 depends="python"
-makedepends="python-dev py-templayer"
+makedepends="python-dev py-setuptools py-templayer"
 install=
 subpackages="$pkgname-doc"
-source="http://excess.org/$pkgname/$_name-$pkgver.tar.gz
-	"
+source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
 
-_builddir="$srcdir"/$_name-$pkgver
+_builddir="$srcdir"/$_pkgname-$pkgver
 
 prepare() {
 	cd "$_builddir"
@@ -24,20 +23,28 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	python setup.py build
-	return 0
+	python setup.py build || return 1
 }
 
 package() {
 	cd "$_builddir"
 	python setup.py install --root "$pkgdir"
+}
+
+doc() {
+	cd "$_builddir"
 
-	# generate tutorial examples, and copy documentation 
+	# generate tutorial examples, and copy documentation
 	python docgen_tutorial.py -s
-	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/tutorial_examples
-	cp -a example*.py "$pkgdir"/usr/share/doc/$pkgname/tutorial_examples/
-	install -Dm644 reference.html "$pkgdir"/usr/share/doc/$pkgname/reference.html
-	install -Dm644 tutorial.html "$pkgdir"/usr/share/doc/$pkgname/tutorial.html
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples
+	cp -a example*.py "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples/
+
+	for doc in CHANGELOG reference.html tutorial.html; do
+		install -Dm644 $doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+	done
+
+	# Fix subdir perms
+	find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
 }
 
 md5sums="4722cdf898f711dcae1121aa80920152  urwid-0.9.9.1.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---